# $Revision: 1.25 $, $Date: 2012/01/31 11:55:07 $
#
# Conditional build:
%bcond_with	ibmtts		# commercial, proprietary IBM TTS synthesizer support
%bcond_without	flite		# flite synthetizer support
%bcond_without	espeak		# espeak synthetizer support
%bcond_without	nas		# NAS audio output support
%bcond_without	alsa		# ALSA audio output supprot
%bcond_without	pulseaudio	# pulse audio output support
%bcond_without	static_libs	# don't build static libraries
%bcond_without	ivona		# don't build ivona support
#
Summary:	A device independent layer for speech synthesis
Summary(pl.UTF-8):	Niezależna od urządzenia warstwa obsługująca syntezę mowy
Name:		speech-dispatcher
Version:	0.7.1
Release:	2
License:	GPL v2
Group:		Applications/Sound
Source0:	http://www.freebsoft.org/pub/projects/speechd/%{name}-%{version}.tar.gz
# Source0-md5:	ccfc30ac006673d36b4223eb760ed696
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.tmpfiles
Patch0:		%{name}-info.patch
Patch1:		pulse.patch
URL:		http://www.freebsoft.org/
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dotconf-devel
%{?with_espeak:BuildRequires:	espeak-devel}
%{?with_flite:BuildRequires:	flite-devel}
%{?with_ibmtts:BuildRequires:	ibmtts-devel}
BuildRequires:	libatomic_ops
%{?with_ivona:BuildRequires:	libdumbtts-devel}
BuildRequires:	libtool
%{?with_nas:BuildRequires:	nas-devel}
BuildRequires:	pkgconfig
%{?with_pulseaudio:BuildRequires:	pulseaudio-devel}
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	texinfo
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-scripts
Provides:	group(%{name})
Provides:	user(%{name})
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Speech Dispatcher provides a device independent layer for speech
synthesis.

%description -l pl.UTF-8
Speech Dispatcher zapewnia niezależną od urządzenia warstwę
obsługującą syntezę mowy.

%package libs
Summary:	Speech Dispatcher client library
Summary(pl.UTF-8):	Biblioteka kliencka Speech Dispatchera
Group:		Libraries

%description libs
Speech Dispatcher provides a device independent layer for speech
synthesis. This package contains client library.

%description libs -l pl.UTF-8
Speech Dispatcher zapewnia niezależną od urządzenia warstwę
obsługującą syntezę mowy. Ten pakiet zawiera biblitotekę kliencką.

%package devel
Summary:	Header files for speech-dispatcher library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki speech-dispatcher
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for speech-dispatcher library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki speech-dispatcher.

%package static
Summary:	Static speech-dispatcher library
Summary(pl.UTF-8):	Statyczna biblioteka speech-dispatcher
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static speech-dispatcher library.

%description static -l pl.UTF-8
Statyczna biblioteka speech-dispatcher.

%package -n python-%{name}
Summary:	Python library for communication with Speech Dispatcher
Summary(pl.UTF-8):	Biblioteka Pythona do komunikacji ze Speech Dispatcherem
Group:		Libraries/Python
%pyrequires_eq	python-modules

%description -n python-%{name}
Speech Dispatcher provides a device independent layer for speech
synthesis. This package contains a Python library for communication
with Speech Dispatcher.

%description -n python-%{name} -l pl.UTF-8
Speech Dispatcher zapewnia niezależną od urządzenia warstwę
obsługującą syntezę mowy. Ten pakiet zawiera bibliotekę Pythona do
komunikacji ze Speech Dispatcherem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__with_without flite} \
	%{__with_without ibmtts} \
	%{__with_without espeak} \
	%{__with_without nas} \
	%{__with_without alsa} \
	%{__with_without pulseaudio pulse} \
	%{__with_without ivona} \
	%{__enable_disable static_libs static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/{log,run}/speech-dispatcher \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1}	$RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install -D %{SOURCE2}	$RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}/speechd
%py_postclean
# library for engines output, API not included in -devel
rm $RPM_BUILD_ROOT%{_libdir}/speech-dispatcher/libsdaudio.{so,la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 224 %{name}
%useradd -u 224 -g 224 -G audio -d /usr/share/empty -s /bin/false -c "%{name} user" %{name}

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
if [ "$1" = "0" ]; then
	%userremove %{name}
	%groupremove %{name}
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(755,root,root) %{_bindir}/clibrary
%attr(755,root,root) %{_bindir}/clibrary2
%attr(755,root,root) %{_bindir}/connection_recovery
%attr(755,root,root) %{_bindir}/long_message
%attr(755,root,root) %{_bindir}/run_test
%attr(755,root,root) %{_bindir}/spd-conf
%attr(755,root,root) %{_bindir}/spd-say
%attr(755,root,root) %{_bindir}/spdsend
%attr(755,root,root) %{_bindir}/speech-dispatcher
%dir %{_libdir}/speech-dispatcher
%attr(755,root,root) %{_libdir}/speech-dispatcher/libsdaudio.so.*
%dir %{_sysconfdir}/speech-dispatcher
%dir %{_sysconfdir}/speech-dispatcher/clients
%dir %{_sysconfdir}/speech-dispatcher/modules
%dir %{_libdir}/speech-dispatcher-modules
%attr(755,root,root) %{_libdir}/speech-dispatcher-modules/sd_cicero
%attr(755,root,root) %{_libdir}/speech-dispatcher-modules/sd_dummy
%attr(755,root,root) %{_libdir}/speech-dispatcher-modules/sd_espeak
%attr(755,root,root) %{_libdir}/speech-dispatcher-modules/sd_festival
%attr(755,root,root) %{_libdir}/speech-dispatcher-modules/sd_flite
%attr(755,root,root) %{_libdir}/speech-dispatcher-modules/sd_generic
%attr(755,root,root) %{_libdir}/speech-dispatcher-modules/sd_ivona
%{_datadir}/speech-dispatcher
%{_datadir}/sounds/speech-dispatcher
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/speechd.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/clients/emacs.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/clients/gnome-speech.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/modules/cicero.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/modules/dtk-generic.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/modules/epos-generic.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/modules/espeak-generic.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/modules/espeak-mbrola-generic.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/modules/espeak.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/modules/festival.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/modules/flite.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/modules/ibmtts.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/modules/ivona.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/modules/llia_phon-generic.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/speech-dispatcher/modules/swift-generic.conf
%dir %attr(755,%{name},%{name}) /var/run/speech-dispatcher
%dir %attr(755,%{name},%{name}) /var/log/speech-dispatcher
/usr/lib/tmpfiles.d/%{name}.conf
%{_infodir}/spd-say.info*
%{_infodir}/speech-dispatcher.info*
%{_infodir}/ssip.info*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspeechd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspeechd.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspeechd.so
%{_libdir}/libspeechd.la
%{_includedir}/libspeechd.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libspeechd.a
%endif

%files -n python-%{name}
%defattr(644,root,root,755)
%dir %{py_sitedir}/speechd
%dir %{py_sitedir}/speechd_config
%{py_sitedir}/speechd/*.py[co]
%{py_sitedir}/speechd_config/*.py[co]

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: speech-dispatcher.spec,v $
Revision 1.25  2012/01/31 11:55:07  baggins
- release 2

Revision 1.24  2012/01/31 11:32:13  baggins
- added tmpfiles config for systemd

Revision 1.23  2011/10/25 18:26:10  wiget
- BR newer rpmbuild(macros) for __with_without and __enable_disable macros

Revision 1.22  2011/10/25 18:24:00  wiget
- up to 0.7.1
- removed python_install and gcc patches (not needed now)
- added pulse.patch (link with libpulse)
- verbose %files

Revision 1.21  2011/02/05 00:59:42  sparky
- corrected lang tag in Summary

Revision 1.20  2010/07/13 14:45:43  glen
- unify pulseaudio bcond

Revision 1.19  2010/07/09 11:24:39  arekm
- release 3

Revision 1.18  2009/12/07 19:50:01  shadzik
- bcond ivona
- fixed typos
- rel 2

Revision 1.17  2009/12/06 18:51:01  sparky
- BR: pkgconfig

Revision 1.16  2009/12/06 14:08:35  shadzik
- fix x86_64 build by adding -gcc.patch

Revision 1.15  2009/12/05 03:17:47  shadzik
- 0.6.7

Revision 1.14  2008/10/05 15:59:12  wiget
- release 2

Revision 1.13  2008/06/17 19:13:32  qboosh
- separated -libs, added ghost soname symlink
- added info patch to unify direntries
- cleanup

Revision 1.12  2008/06/17 17:54:21  qboosh
- pl, typos
- Group changed to Applications/Sound

Revision 1.11  2008/03/07 22:28:04  twittner
- changed uid & gid for 224 for speech-dispatcher user/group (223 is already used)

Revision 1.10  2008-03-07 22:21:18  twittner
- added speech-dispatcher user to audio group while installation
- added /var/log/speech-dispatcher directory
- use wildcard for listing speech-dispatcher modules (simpler and less error prone)
- rel. 1 (works with espeak and flite)

Revision 1.9  2008-03-07 21:03:40  twittner
- added bcond descriptions
- build with flite support

Revision 1.8  2008-02-23 16:39:02  twittner
- don't assume that infos are compressed

Revision 1.7  2008-02-23 16:20:07  twittner
- up to 0.6.6

Revision 1.6  2008-01-12 00:04:37  twittner
- added initscript for speechd
- sth is wrong (gnome hangs up during starting)

Revision 1.5  2008-01-05 20:52:35  twittner
- +%attr(755,root,root) %{_libdir}/speech-dispatcher-modules/* (pointed out by ethanak)

Revision 1.4  2008-01-04 20:28:50  twittner
- packaging files (without any checkings), minor cleaning and improvements
- rel. 0.2 - completely untested

Revision 1.3  2008-01-03 19:08:19  twittner
- finally builds but a lot to do (files packaging)

Revision 1.2  2008-01-03 18:46:15  twittner
- fixed c&p typos
- added -python-install.patch (not checked, but Makefile
  produced from Makefile.in looks OK)
- still doesn't build - linking errors

Revision 1.1  2008-01-03 18:01:38  twittner
- initial, NFY: doesn't build (fails during %install - python module),
  BRs, bconds and %files not checked (taken from template-lib.spec). Save
  work for now.
